Loading...
Searching...
No Matches
OdbcFirebirdSqlUtil Namespace Reference

the OdbcFirebirdSqlUtil namespace contains all the objects in the OdbcFirebirdSqlUtil module More...

## Classes

class | OdbcFirebirdColumn
| represents a OdbcFirebird-specific column More...
class | OdbcFirebirdDatabase
| provides the Firebird-specific implementation of the AbstractDatabase interface More...
class | OdbcFirebirdForeignConstraint
| represents a Firebird-specific foreign constraint More...
class | OdbcFirebirdIndex
| represents a Firebird-specific index More...
class | OdbcFirebirdPrimaryKey
| represents a Firebird-specific primary key constraint More...
class | OdbcFirebirdSavepointHelper
| OdbcFirebird savepoint helper. More...
class | OdbcFirebirdSequence
| class for ODBC Firebird sequences More...
class | OdbcFirebirdTable
| provides the OdbcFirebird-specific implementation of the AbstractTable interface More...
class | OdbcFirebirdTrigger
| represents a Firebird-specific trigger More...
class | OdbcFirebirdView
| represents a Firebird view More...

## Functions

OdbcFirebirdDatabase | get_database (AbstractDatasource nds, *hash< auto > opts)
| returns a OdbcFirebirdDatabase object corresponding to the arguments
OdbcFirebirdTable | get_table (AbstractDatasource nds, string nname, *hash< auto > opts)
| returns a OdbcFirebirdTable object corresponding to the arguments

## Detailed Description

the OdbcFirebirdSqlUtil namespace contains all the objects in the OdbcFirebirdSqlUtil module